/*
 * communication_protocol.h
 *
 *  Created on: 2024518
 *      Author: 34509
 */

#ifndef SOFTWARE_PROTOCOL_COMMUNICATION_PROTOCOL_H_
#define SOFTWARE_PROTOCOL_COMMUNICATION_PROTOCOL_H_

#include "inc/UART.h"

/*  */
#define read_Register 0x30
#define write_Register 0x10
#define broadcast_Scan 0xA0
#define reg_Req 0xA1

/* ʼ־ */
#define StartFlag "SL"
/* ־ */
#define EndFlag 0x16

/* 㲥ID */
#define broadcast_ID 0xFFFFFFFFFFFF

#define max_Len 32

extern uint8_t protocol[max_Len];


void broadcast_Scan_Fun(USART_TypeDef* pUSARTx);


#endif /* SOFTWARE_PROTOCOL_COMMUNICATION_PROTOCOL_H_ */
